/****************************************************************************************************

		MCStaticClassArray.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	pascalc
		Date:	7/19/2005

****************************************************************************************************/

#ifndef __MCStaticClassArray__
#define __MCStaticClassArray__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "MCClassArray.h"

template<class T, int elemSpace> class TMCStaticClassArray : public TMCClassArray<T>
{
public:
	TMCStaticClassArray();
	TMCStaticClassArray(int elemCount);
protected:
	T fArray[elemSpace];
};

template<class T, int elemSpace> TMCStaticClassArray<T,elemSpace>::TMCStaticClassArray()
	: TMCClassArray<T>((T*)&fArray, false, 0, elemSpace)
{
}

template<class T, int elemSpace> TMCStaticClassArray<T,elemSpace>::TMCStaticClassArray(int elemCount)
	: TMCClassArray<T>((T*)&fArray, false, elemCount, elemSpace)
{
}


#endif
